tigase.auth.credentials.entries

## Class MD5UsernamePasswordCredentialsEntry

- java.lang.Object
- - tigase.auth.credentials.entries.MD5UsernamePasswordCredentialsEntry

- All Implemented Interfaces:
    Credentials.Entry

      public class MD5UsernamePasswordCredentialsEntry
      extends Object
      implements Credentials.Entry

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MD5UsernamePasswordCredentialsEntry.Decoder`
    `static class` | `MD5UsernamePasswordCredentialsEntry.Encoder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MD5UsernamePasswordCredentialsEntry(BareJID user, String passwordHash)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMechanism()` Name of the mechanism for which it will work
    `protected static String` | `getUsername(BareJID user)`
    `boolean` | `verifyPlainPassword(String plain)` Check if plaintext password will match stored credential

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MD5UsernamePasswordCredentialsEntry

          public MD5UsernamePasswordCredentialsEntry(BareJID user,
                                                     String passwordHash)

  - ### Method Detail

    - #### getUsername

          protected static String getUsername(BareJID user)

    - #### getMechanism

          public String getMechanism()

      Description copied from interface: `Credentials.Entry`
      Name of the mechanism for which it will work
      Specified by:
        `getMechanism` in interface `Credentials.Entry`

    - #### verifyPlainPassword

          public boolean verifyPlainPassword(String plain)

      Description copied from interface: `Credentials.Entry`
      Check if plaintext password will match stored credential
      Specified by:
        `verifyPlainPassword` in interface `Credentials.Entry`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.